Bug 430883 - xchat-gnome : unchecking "Mark as away" does not work
xchat-gnome : unchecking "Mark as away" does not work
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xchat-gnome (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-30 07:38 EST by ritz
Modified: 2008-02-25 19:23 EST (History)
0 users

See Also:
Fixed In Version: 0.18-7.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-25 19:23:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
fix away command (1.77 KB, patch)
2008-02-04 00:35 EST, ritz
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 462031 None None None Never

  None (edit)
Description ritz 2008-01-30 07:38:17 EST
Description of problem:
unchecking "Mark as away" does not work 

Version-Release number of selected component (if applicable):
xchat-gnome-0.18-5.fc8

How reproducible:
always

Steps to Reproduce:
1. Check "Mark as Away" and click on apply
2. Uncheck "Mark as Away" and click on apply
  
Actual results:
I am still shown as away

Expected results:
I should be marked as back

Additional info:
Comment 1 ritz 2008-01-30 12:38:08 EST
Would you please merge this patch into F8, as F9 is atleast a few months away

http://www.redhat.com/archives/fedora-extras-commits/2007-November/msg04518.html
Comment 2 Brian Pepple 2008-01-30 13:00:52 EST
(In reply to comment #1)
> Would you please merge this patch into F8, as F9 is atleast a few months away
> 
> http://www.redhat.com/archives/fedora-extras-commits/2007-November/msg04518.html

Yeah, been meaning to backport that to F8 but totally forgot.  I'll try to push
a build out to testing either today or tomorrow.
Comment 3 Fedora Update System 2008-01-30 15:41:53 EST
xchat-gnome-0.18-6.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-02-02 03:59:41 EST
xchat-gnome-0.18-6.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xchat-gnome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-1235
Comment 5 ritz 2008-02-04 00:16:53 EST
this fix will crash xchat
$ xchat-gnome 
(xchat-gnome:9519): GLib-GObject-WARNING **: invalid uninstantiatable type
`(null)' in cast to `GtkToggleButton'
(xchat-gnome:9519): Gtk-CRITICAL **: gtk_toggle_button_get_active: assertion
`GTK_IS_TOGGLE_BUTTON (toggle_button)' failed


As seen from
http://cvs.fedoraproject.org/viewcvs/rpms/xchat-gnome/F-8/xchat-gnome-fix_away_command.patch?rev=1.1&view=markup

Should this not be 
 gboolean away = gtk_toggle_button_get_active
 (GTK_TOGGLE_BUTTON(away_button));
                       ^^^^^^^

Comment 6 ritz 2008-02-04 00:24:10 EST
aag ! upstream code uses away_button.

please update "gboolean away" to "gboolean kaway", or update "GtkWidget* away"
to  GtkWidget* away_button" .
Comment 7 ritz 2008-02-04 00:35:18 EST
Created attachment 293865 [details]
fix away command

Update GtkWidget* away to GtkWidget* away_button.
Comment 8 ritz 2008-02-11 07:14:09 EST
oh ! and this patch applies to F9 also :(
Comment 9 Fedora Update System 2008-02-12 20:48:56 EST
xchat-gnome-0.18-7.fc8 has been submitted as an update for Fedora 8
Comment 10 Fedora Update System 2008-02-15 21:11:28 EST
xchat-gnome-0.18-7.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xchat-gnome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-1744
Comment 11 Fedora Update System 2008-02-25 19:23:46 EST
xchat-gnome-0.18-7.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.